
.quicklinks-menu {
  display: block;
  margin: 0;
  padding: 0;
  width: 100%;
}

.quicklinks-menu {
  background-color: #fff;
  border: solid 1px #e2e2e2;
  border-radius: 5px;
  border-right: none;
  box-shadow: -3px 3px 6px 0 rgb(0 0 0 / 16%);
  position: fixed;
  right: 0;
  text-align: center;
  top: 37%;
  width: 71px;
  z-index: 97;
}

/* .menu {
  position: absolute;
  top: 100%;
  left: 0;
  z-index: 1000;
  display: none;
  float: left;
  min-width: 160px;
  padding: 5px 0;
  margin: 2px 0 0;
  list-style: none;
  font-size: 14px;
  text-align: left;
  background-color: #fff;
  border: 1px solid #ccc;
  border: 1px solid rgba(0, 0, 0, 0.15);
  border-radius: 4px;
  box-shadow: 0 6px 12px rgb(0 0 0 / 18%);
  background-clip: padding-box;
} */

.quicklinks-menu .menu {
  border: 0;
  box-shadow: none;
  display: block;
  margin: 0;
  padding: 0;
  min-width: inherit;
  position: static;
  width: 100%;
}

.quicklinks-menu ul li .float-icon img {
  display: unset;
  height: 25px;
}

/* .quicklinks-menu ul li span.icon,
.quicklinks-menu ul li i {
  font-size: 25px;
  line-height: 1;
} */

.quicklinks-menu ul li .menu li.animate-li {
  width: 218px;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  transform: translateX(0);
  position: relative;
  z-index: 9;
  transition: all 0.85s ease, height 0s, padding 0s;
  margin-bottom: 10px;
}

.quicklinks-menu ul li .menu a {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  font-family: "Titillium Web", sans-serif;
  text-decoration: none;
  color: #000;
  font-size: 1em;
  font-weight: 600;
  padding: 0;
}

.quicklinks-menu ul li .menu li {
  list-style-type: none;
  height: 45px;
}

.quicklinks-menu ul li .menu li.animate-li a {
  width: 100%;
  height: 45px;
  transition: all 0.45s ease, height 0s, width 0s, opacity 0s;
  position: relative;
}

.quicklinks-menu ul li .menu li.animate-li .float-icon {
  position: absolute;
  width: 25px;
  height: 25px;
  left: 0;
  color: #e90000;
  transform: translateX(22px);
}

.quicklinks-menu ul li .menu li.animate-li .float-icon+span {
  margin-left: 10px;
  font-size: 16px;
  font-weight: 600;
  line-height: 1;
  text-align: left;
  color: #000;
  left: 0;
  transform: translateX(80px);
  position: absolute;
  opacity: 1;
  transition-duration: 0.55s;
  opacity: 0;
  /* width: 0;
  max-width: 0; */
}

.quicklinks-menu ul li .menu li.animate-li:hover {
  border-radius: 10px 0 0 10px;
  box-shadow: 0 0 15px 0 rgb(0 0 0 / 35%);
  background-color: #f7f7f7;
  overflow: visible;
  background-color: #f7f7f7;
  transform: translateX(-145px);
  align-items: center;
  justify-content: flex-start;
  width: 218px;
  right: 0;
}

/* .quicklinks-menu ul li .menu li.animate-li:hover a {
  width: 100%;
} */

.quicklinks-menu ul li .menu li.animate-li:hover .float-icon {
  transform: translateX(15px);
}

.quicklinks-menu ul li .menu li.animate-li:hover .float-icon+span {
  /* width: calc(100% - 45px);
  max-width: 100%; */
  transform: translateX(40px);
  opacity: 1;
}

.quicklinks-menu ul li .menu li:last-of-type {
  width: 100%;
  height: auto;
}

.quicklinks-menu ul li.no-animate .float-icon+span {
  margin-left: 0;
  font-size: 13px;
  font-weight: 600;
  line-height: 1;
  // text-align: left;
  color: #000;
  text-transform: capitalize;
  display: block;
  opacity: 1;
  position: static;
  width: 100%;
  max-width: 100%;
}

.quicklinks-menu ul li .menu li.no-animate .float-icon img {
  width: 25px;
  height: 31px;
}

.quicklinks-menu ul li .menu li.no-animate .float-icon img {
  margin-bottom: 8px;
}

.quicklinks-menu ul li .menu li.no-animate a {
  display: flex;
  justify-self: center;
  align-items: center;
  flex-direction: column;
  padding: 0 5px 13px;
  font-size: 13px;
}

.mobile-menu .menu {
  display: none;
}

.quicklinks-menu ul li.mobile-menu .menu li {
  display: inline-block;
  vertical-align: middle;
  width: 32.5%;
  height: auto;
}

@media screen and (max-width: 991px) {

  .quicklinks-menu ul li.desktop-menu .menu {
    display: none;
  }

  .quicklinks-menu ul li.mobile-menu .menu {
    display: flex;
    padding: 8px 0px;
  }

  .quicklinks-menu ul li.mobile-menu .menu li#missed-call {
    order: 3;
  }

  .quicklinks-menu ul li.mobile-menu .menu li .float-icon+span {
    margin-top: 2px;
    font-size: 14px;
  }

  .quicklinks-menu ul li .menu li:last-of-type {
    width: 32.5%;
    height: auto;
  }

  .quicklinks-menu {
    border-left: 0;
    border-radius: 0;
    border-right: 0;
    bottom: 0;
    top: inherit;
    width: 100%;
  }

  .quicklinks-menu ul li.apply-now span.apply-now-gif+span {
    width: auto;
    height: auto;
  }

  .quicklinks-menu ul li .menu a {
    width: 100%;
    height: auto;
    flex-direction: column;
  }

  .quicklinks-menu ul li .float-icon img{
    display: block;
  }

}